# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..1\n"; }
END {print "not ok 1\n" unless $loaded;}
use Chandra::Tools::dmcoords;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

my @orig = ( [ sky => ( 10, 10 )  ],
	     [ sky => ( 4096, 4096 )  ],
	     [ sky => ( 10000, 10000 )  ],
# this causes a segv in dmcoords at this writing
#	     [ chip => ( 10, 10 ) ],
	     [ cel => ( '02:19:40.827', '+29:47:17.80' ) ],
	     [ det => ( 10, 10 ) ] );

use Data::Dumper;

#my $file = '/data/widget/bbiller/conglom5_evt.fits';
#my $file = 'none';
my $file = 'acisf03102_evt2.fits';

my @data = Chandra::Tools::dmcoords->coords( $file, 'none',  @orig );

print Dumper \@data;

my $dmcoord = Chandra::Tools::dmcoords->new( $file, 'none', { Verbose => 1 } );

my $i = 0;
foreach ( @orig )
{
  $i++;
  my @data = $dmcoord->coords( $_ );
  print $i, Dumper \@data; 
}

print Dumper [ $dmcoord->coords( 'sky', 20, 20  ) ];


$dmcoord->set( chip => 'acis-s3' );
eval {
  $dmcoord->set( chip => '3' );
};
print $@ if $@;

eval {
  $dmcoord->set( nominal => 3 );
};
print $@ if $@;

$dmcoord->set( nominal => 2, 3 );

$dmcoord->set( 'sim/displace' => ( 0, 0, 0, 0, 0, 0 ) );
