#!/bin/perl

#use strict;
#use diagnostics;

# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl Data-ParseTable.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More qw{ no_plan };

#tests => 1;
BEGIN { use_ok('Data::ParseTable') };
#can_ok( 'Data::ParseTable', ('parse_table'));

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

my $result_array_ref = Data::ParseTable::parse_table("t/short.rdb");

is( $result_array_ref->[0]->{agasc_id}, "115345072");
is( scalar(@{$result_array_ref}) , 7 );

my $hash_ref = Data::ParseTable::parse_table("t/apostrophe.rdb",
					     {format => 'rdb', 
						  return_as_hash => 1,
					      return_as_pdl  => 1,
					     }
					    );

is( $hash_ref->{agasc_id}->[0], "jean's" );

my @data = (
	    "agasc_id	n_noids	n_obs\n", 
	    "11S	N	N\n",
	    "jean's 	1	1\n",
	    "335416352	3	8\n",
	    );

my $array_ref = Data::ParseTable::parse_table( \@data );

is( $array_ref->[0]->{agasc_id}, "jean's" );

						  
