#!/bin/perl

#use strict;
#use diagnostics;

# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl Data-ParseTable.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More qw{ no_plan };

#tests => 1;
BEGIN { use_ok('Data::ParseTable') };
#can_ok( 'Data::ParseTable', ('parse_table'));

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

# binary fits
my $return_hash_ref = Data::ParseTable::parse_table('t/ephin.fits.gz',
						 {return_as_hash => 1});

# Probably a much smarter way to do this... but
my %possible_headers = ( time => 1, tlm_fmt => 1, 
			 scp4 => 1 , scp8 => 1 ,
			 sch4 => 1 , sch8 => 1 , 
			 sce150 => 1 , sce300 => 1 ,
			 sce1300 => 1 , sce3000 => 1 , 
			 scint => 1 , scp25 => 1,
			 scp41 => 1, sch25 => 1, 
			 sch41 => 1, quality => 1 );

foreach my $header (keys %{$return_hash_ref}){
    ok( $possible_headers{$header} );
}

# ascii fits

my $ascii_hash_ref = Data::ParseTable::parse_table('t/ascii_ephin.fits',
						 {return_as_hash => 1});

foreach my $header (keys %{$ascii_hash_ref}){
    ok( $possible_headers{$header} );
}

