#!/usr/bin/env perl

use warnings;
use strict;

my @item;
my $title;
my %item;
my $last;

while (<>) {
    if (/^ \^+ $/x) {
	pop @item;
	$item{$title} = [ @item ] if defined $title;
	$title = $last;
	@item = ($_);
	next;
    }
    push @item, $_;
    $last = $_;
}

foreach $title (sort keys %item) {
    print $title;
    print @{$item{$title}};
}

